Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Foutmelding kubuntu-desktop naast ubuntu  (gelezen 2432 keer)

Offline Idzme

  • Lid
    • http://idzme.wordpress.com/
  • Steunpunt: Nee
Foutmelding kubuntu-desktop naast ubuntu
« Gepost op: 2008/08/03, 11:13:34 »
Bij het installeren van kde 4.q (kubuntu desktop) krijg ik deze foutmelding:
E: /var/cache/apt/archives/kde-window-manager_4%3a4.1.0-0ubuntu1~hardy1~ppa2_i386.deb: poging tot overschrijven van `/usr/lib/kde4/share/doc/kde4/HTML/en/kcontrol/kwindecoration/index.docbook', wat ook in pakket kdebase-runtime-data zit
E: /var/cache/apt/archives/kscd-kde4_4%3a4.1.0-0ubuntu1~hardy1~ppa1_i386.deb: poging tot overschrijven van `/usr/lib/kde4/share/kde4/apps/konqsidebartng/virtual_folders/services/audiocd.desktop', wat ook in pakket konqueror-kde4 zit
Na sudo apt-get install -f krijg ik dit:

as@bas-desktop:~$ sudo apt-get install -f
[sudo] password for bas:
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Statusinformatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende pakketten werden automatisch geïnstalleerd en zijn niet langer nodig:
  kdemultimedia-kio-plugins-kde4 kppp-kde4 ark-kde4 krfb-kde4 libvncserver0
  kopete-kde4 gwenview-kde4 kwalletmanager-kde4 ksnapshot-kde4 libkcddb4-kde4
  kamera-kde4 knetworkconf-kde4 krdc-kde4 kwin-kde4 kmilo-kde4 juk-kde4
  kmix-kde4
Gebruik 'apt-get autoremove' om ze te verwijderen.
De volgende extra pakketten zullen geïnstalleerd worden:
  kde-window-manager
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  kde-window-manager
0 pakketten opgewaardeerd, 1 pakketten nieuw geïnstalleerd, 0 te verwijderen en 23 niet opgewaardeerd.
2 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0B/1394kB aan archieven opgehaald worden.
Na deze handeling, zal er 4477kB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? j
WAARSCHUWING: De volgende pakketten kunnen niet geauthenticeerd worden:
  kde-window-manager
Wilt u deze pakketten installeren zonder verificatie [j/N]? j
(Database inlezen ... 215442 bestanden en mappen geïnstalleerd.)
Uitpakken van kde-window-manager (uit .../kde-window-manager_4%3a4.1.0-0ubuntu1~hardy1~ppa2_i386.deb) ...
dpkg: fout bij afhandelen van /var/cache/apt/archives/kde-window-manager_4%3a4.1.0-0ubuntu1~hardy1~ppa2_i386.deb (--unpack):
 poging tot overschrijven van `/usr/lib/kde4/share/doc/kde4/HTML/en/kcontrol/kwindecoration/index.docbook', wat ook in pakket kdebase-runtime-data zit
dpkg-deb: subproces paste werd gedood door signaal (Gebroken pijp)
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/kde-window-manager_4%3a4.1.0-0ubuntu1~hardy1~ppa2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
bas@bas-desktop:~$ sudo apt-get autoremove kdm
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Statusinformatie wordt gelezen... Klaar
Pakket kdm is niet geïnstalleerd, en wordt dus niet verwijderd
U wilt waarschijnlijk 'apt-get -f install' uitvoeren om volgende op te lossen:
De volgende pakketten hebben niet-voldane vereisten:
  kdebase-workspace: Vereisten: kde-window-manager (>= 4:4.1.0-0ubuntu1~hardy1~ppa2) maar het zal niet geïnstalleerd worden
  kwin-kde4: Vereisten: kde-window-manager maar het zal niet geïnstalleerd worden
E: Er zijn niet-voldane vereisten. U kunt best 'apt-get -f install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).
bas@bas-desktop:~$ sudo apt-get autoremove kubuntu-kde4-desktop
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Statusinformatie wordt gelezen... Klaar
Pakket kubuntu-kde4-desktop is niet geïnstalleerd, en wordt dus niet verwijderd
U wilt waarschijnlijk 'apt-get -f install' uitvoeren om volgende op te lossen:
De volgende pakketten hebben niet-voldane vereisten:
  kdebase-workspace: Vereisten: kde-window-manager (>= 4:4.1.0-0ubuntu1~hardy1~ppa2) maar het zal niet geïnstalleerd worden
  kwin-kde4: Vereisten: kde-window-manager maar het zal niet geïnstalleerd worden
E: Er zijn niet-voldane vereisten. U kunt best 'apt-get -f install' uitvoeren zonder pakketten op te geven, (of u kunt zelf een oplossing specificeren).
bas@bas-desktop:~$ sudo apt-get -f install
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd      
Statusinformatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende pakketten werden automatisch geïnstalleerd en zijn niet langer nodig:
  kdemultimedia-kio-plugins-kde4 kppp-kde4 ark-kde4 krfb-kde4 libvncserver0
  kopete-kde4 gwenview-kde4 kwalletmanager-kde4 ksnapshot-kde4 libkcddb4-kde4
  kamera-kde4 knetworkconf-kde4 krdc-kde4 kwin-kde4 kmilo-kde4 juk-kde4
  kmix-kde4
Gebruik 'apt-get autoremove' om ze te verwijderen.
De volgende extra pakketten zullen geïnstalleerd worden:
  kde-window-manager
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  kde-window-manager
0 pakketten opgewaardeerd, 1 pakketten nieuw geïnstalleerd, 0 te verwijderen en 23 niet opgewaardeerd.
2 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0B/1394kB aan archieven opgehaald worden.
Na deze handeling, zal er 4477kB extra schijfruimte gebruikt worden.
Wilt u doorgaan [J/n]? j
WAARSCHUWING: De volgende pakketten kunnen niet geauthenticeerd worden:
  kde-window-manager
Wilt u deze pakketten installeren zonder verificatie [j/N]? j
(Database inlezen ... 215442 bestanden en mappen geïnstalleerd.)
Uitpakken van kde-window-manager (uit .../kde-window-manager_4%3a4.1.0-0ubuntu1~hardy1~ppa2_i386.deb) ...
dpkg: fout bij afhandelen van /var/cache/apt/archives/kde-window-manager_4%3a4.1.0-0ubuntu1~hardy1~ppa2_i386.deb (--unpack):
 poging tot overschrijven van `/usr/lib/kde4/share/doc/kde4/HTML/en/kcontrol/kwindecoration/index.docbook', wat ook in pakket kdebase-runtime-data zit
dpkg-deb: subproces paste werd gedood door signaal (Gebroken pijp)
Fouten gevonden tijdens behandelen van:
 /var/cache/apt/archives/kde-window-manager_4%3a4.1.0-0ubuntu1~hardy1~ppa2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
bas@bas-desktop:~$
iemand enig idee wat er fout gaat, en liever nog: wat ik eraan kan doen? ;)
bedankt en groeten,
Idzme
Intel Pentium 4 630, 3000 MHz (15 x 200), 1024 MB (SDRAM), 2x ST3160021A (160 GB, 7200 RPM, Ultra-ATA/100)
Ubuntu 8.10-Xubuntu 8.10
Linux user #464441 / Ubuntu user # 23391
Mini-distro's en het laatste Linux nieuws: http://idzme.wordpress.com
www.twitter.com/basidz

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Foutmelding kubuntu-desktop naast ubuntu
« Reactie #1 Gepost op: 2008/08/03, 11:43:20 »
Ik herinner me ook dergelijke foutmeldingen gehad te hebben.  Waarschijnlijk hebben we ongeveer dezelfde "configuratie": gnome, met kubuntu-desktop omwille van een aantal programma's die we van KDE gebruiken, en dan is dat verise 3.5.9 of zo.  Dan heb ik KDE 4.0.3 vanuit de officiële Ubuntu-repo's en KDE 4.1 vanaf de ppa.launchpad.

Ik kan jammer genoeg niet precies zeggen wat ik heb gedaan om het opgelost te krijgen, maar het was iets met verwijderen van gebroken pakketten.  Heb op een bepaald moment ook één of meerdere repo's uitgezet en dan dingen "gerepareerd" die dan plots verdwenen waren en dus moest ik die opnieuw installeren en dan werkte het wel...

Dit is allemaal niet erg duidelijk, maar ik hou jammer genoeg geen nota's bij, ik geraak die toch altijd maar kwijt... :(
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Foutmelding kubuntu-desktop naast ubuntu
« Reactie #2 Gepost op: 2008/08/03, 11:46:15 »
Het komt er, denk ik, op neer dat ik nu geen 4.03 meer heb maar alleen de gewone KDE (3.5.9) en die van de ppa (KDE 4.1)

Edit: net even nagekeken in Synaptic: geen spoor meer van KDE 4.03...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline Idzme

  • Lid
    • http://idzme.wordpress.com/
  • Steunpunt: Nee
Foutmelding kubuntu-desktop naast ubuntu
« Reactie #3 Gepost op: 2008/08/03, 12:55:20 »
ik heb de beschikbare updates geinstalleerd, en nu lijken de foutmeldingen weg te blijven...
nu maar eens gaan stoeien met kde 4.1 :)
vreemde van kde is dat het blijft aantrekken..maar tot nu toe altijd gnome blijven gebruiken met veel kde programma's: kopete, k3b, amarok etc.

wellicht toch nog eens d eoverstapmaken naar kde 4.1 ??
Intel Pentium 4 630, 3000 MHz (15 x 200), 1024 MB (SDRAM), 2x ST3160021A (160 GB, 7200 RPM, Ultra-ATA/100)
Ubuntu 8.10-Xubuntu 8.10
Linux user #464441 / Ubuntu user # 23391
Mini-distro's en het laatste Linux nieuws: http://idzme.wordpress.com
www.twitter.com/basidz